Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http
Class AcceptLanguage

    java.lang.Object
      org.apache.tomcat.util.http.AcceptLanguage

    public class AcceptLanguage

extends java.lang.Object

Util to process the "Accept-Language" header. Used by facade to implement getLocale() and by StaticInterceptor. Not optimized - it's very slow.

Author:
  James Duncan Davidson [duncan@eng.sun.com], James Todd [gonzo@eng.sun.com], Jason Hunter [jch@eng.sun.com], Harish Prabandham, costin@eng.sun.com

Constructor Summary
`AcceptLanguage()`

Method Summary
`static java.util.Locale` | `getLocale(java.lang.String acceptLanguage)`
`static java.util.Enumeration` | `getLocales(java.lang.String acceptLanguage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AcceptLanguage

    public AcceptLanguage()

Method Detail

### getLocale

    public static java.util.Locale getLocale(java.lang.String acceptLanguage)

### getLocales

    public static java.util.Enumeration getLocales(java.lang.String acceptLanguage)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.